sailpoint.object

## Interface Resolver

All Known Subinterfaces:
  PersistenceManager, SailPointContext

    public interface Resolver

The interface of an object capable of resolving references to SailPointObjects. Used by a few classes that normally store references by name, but provide convenience methods to resolve the object.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends SailPointObject> T` `getObject(java.lang.Class<T> cls, java.lang.String idOrName)` Retrieve an object by id or name.
`<T extends SailPointObject> T` `getObjectById(java.lang.Class<T> cls, java.lang.String id)` Retrieve an object by id.
`<T extends SailPointObject> T` `getObjectByName(java.lang.Class<T> cls, java.lang.String name)` Retrieve an object by name.
`<T extends SailPointObject> java.util.List<T>` `getObjects(java.lang.Class<T> cls, QueryOptions ops)` Get a list of objects matching the query options.

### Method Detail

#### getObjectById

    <T extends SailPointObject> T getObjectById(java.lang.Class<T> cls,
                                                java.lang.String id)
                                         throws GeneralException

Retrieve an object by id.

Throws:
  `GeneralException`

#### getObjectByName

    <T extends SailPointObject> T getObjectByName(java.lang.Class<T> cls,
                                                  java.lang.String name)
                                           throws GeneralException

Retrieve an object by name.

Throws:
  `GeneralException`

#### getObject

    <T extends SailPointObject> T getObject(java.lang.Class<T> cls,
                                            java.lang.String idOrName)
                                     throws GeneralException

Retrieve an object by id or name.

Throws:
  `GeneralException`

#### getObjects

    <T extends SailPointObject> java.util.List<T> getObjects(java.lang.Class<T> cls,
                                                             QueryOptions ops)
                                                      throws GeneralException

Get a list of objects matching the query options.

Throws:
  `GeneralException`